VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.LightWaveObjImporter Class Reference

Imported from Lightwave objects. More...

Inheritance diagram for VisimBox.Scene.LightWaveObjImporter:

List of all members.

## Classes
struct | OBJIndice
class | OBJMat
## Public Member Functions
| LightWaveObjImporter ()
override bool | Import (Node node, string filename)
| Import external file to node.
## Protected Member Functions
Renderer.IRenderMaterial | CreateOBJMat (OBJMat mat)
## Protected Attributes
Dictionary< string, OBJMat > | MatLibrary
## Properties
override string | FileFormat`[get]`
| defines extension of file format it can import

## Detailed Description

Imported from Lightwave objects.

## Constructor & Destructor Documentation

VisimBox.Scene.LightWaveObjImporter.LightWaveObjImporter | ( |  | ) |

## Member Function Documentation

Renderer.IRenderMaterial VisimBox.Scene.LightWaveObjImporter.CreateOBJMat | ( | OBJMat | mat | ) | `[protected]`

override bool VisimBox.Scene.LightWaveObjImporter.Import | ( | Node | node,
|  | string | filename
| ) |  | `[virtual]`

Import external file to node.

Parameters:

  node | Node to hold imported nodes
  filename | Filename to import

Returns:
  True if import sucessful

Implements VisimBox.Scene.NodeImporter.

## Member Data Documentation

Dictionary<string, OBJMat> VisimBox.Scene.LightWaveObjImporter.MatLibrary`[protected]`

## Property Documentation

override string VisimBox.Scene.LightWaveObjImporter.FileFormat`[get]`

defines extension of file format it can import

Reimplemented from VisimBox.Scene.NodeImporter.

The documentation for this class was generated from the following file:

- LightWaveObjImporter.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events